@echo off
echo sound setup
echo --------------------
echo This procedure will setup the sound directory for this scenario.
echo Some files will be copied from the civ2 sound directory.
echo Some files will be duplicated from this scenario's sound directory.
pause

if exist Infantry.wav copy Infantry.wav mchnguns.wav
if exist Infantry.wav copy Infantry.wav custom1.wav
if exist Infantry.wav copy Infantry.wav custom2.wav
if exist Infantry.wav copy Infantry.wav custom3.wav
if exist Infantry.wav copy Infantry.wav extra1.wav

if not exist ..\..\..\sound\*.* goto :fourdeep
if exist ..\..\..\sound\newbank.wav copy ..\..\..\sound\newbank.wav diesel.wav
if exist ..\..\..\sound\biggun.wav copy ..\..\..\sound\biggun.wav navbttle.wav
echo this procedure is done
pause
exit

:fourdeep
if not exist ..\..\..\..\sound\*.* goto :majorerror 
if exist ..\..\..\..\sound\newbank.wav copy ..\..\..\..\sound\newbank.wav diesel.wav
if exist ..\..\..\..\sound\biggun.wav copy ..\..\..\..\sound\biggun.wav navbttle.wav

echo this procedure is done
pause
exit

:majorerror
echo The CIV2\SOUND directory could not be found.
echo Please view the readme.txt file for troubleshooting information.
pause